libzypp 17.37.10

mtry.h File Reference
`#include "expected.h"`

Go to the source code of this file.

## Classes
struct | zyppng::detail::mtry_helper< Callback >

## Namespaces
namespace | zyppng
namespace | zyppng::detail
namespace | zyppng::operators

## Functions
template<typename F, typename ... Args, typename Ret = std::invoke_result_t<F, Args...>, typename Exp = expected<Ret, std::exception_ptr>>
Exp | zyppng::mtry (F &&f, Args &&...args)
template<typename Fun>
auto | zyppng::operators::mtry (Fun &&function)